Skip to main content
GET
/
coins
/
top_gainers_losers
Top Gainers & Losers
curl --request GET \
  --url https://pro-api.coingecko.com/api/v3/coins/top_gainers_losers \
  --header 'x-cg-pro-api-key: <api-key>'
{
  "top_gainers": [
    {
      "id": "maga-bitcoin",
      "symbol": "mbtc",
      "name": "MAGA Bitcoin",
      "image": "https://coin-images.coingecko.com/coins/images/102172497/original/image0-removebg-preview.webp?1773518858",
      "market_cap_rank": 189,
      "usd": 0.17408997149936514,
      "usd_24h_vol": 50396.8060000212,
      "usd_24h_change": 150.5022699272054,
      "usd_1h_change": -6.503819291482131,
      "usd_7d_change": 519.1190967122302,
      "usd_14d_change": 461.9068555244123,
      "usd_30d_change": 448.72555160441027,
      "usd_60d_change": 67.38949093422981,
      "usd_200d_change": null,
      "usd_1y_change": null
    }
  ],
  "top_losers": [
    {
      "id": "irys",
      "symbol": "irys",
      "name": "Irys",
      "image": "https://coin-images.coingecko.com/coins/images/70808/original/irys.png?1764757341",
      "market_cap_rank": 352,
      "usd": 0.038636564524228145,
      "usd_24h_vol": 77344929.5624576,
      "usd_24h_change": -19.511341677152053,
      "usd_1h_change": 1.6279519726091103,
      "usd_7d_change": 0.8723104841951528,
      "usd_14d_change": -3.0080471375482483,
      "usd_30d_change": 35.11913273728426,
      "usd_60d_change": 119.67467634522242,
      "usd_200d_change": null,
      "usd_1y_change": null
    }
  ]
}

SDK Examples

const response = await client.coins.topGainersLosers.get({
  vs_currency: 'usd',
});

console.log(JSON.stringify(response, null, 2));

Authorizations

x-cg-pro-api-key
string
header
required

Learn how to set up your API key

Query Parameters

vs_currency
string
default:usd
required

Target currency of coins. *refers to /simple/supported_vs_currencies

duration
enum<string>

Filter result by time range. Default: 24h

Available options:
1h,
24h,
7d,
14d,
30d,
60d,
1y
price_change_percentage
string

Include price change percentage timeframe, comma-separated if querying more than 1 timeframe. Valid values: 1h, 24h, 7d, 14d, 30d, 60d, 200d, 1y

top_coins
enum<string>

Filter result by market cap ranking (top 300 to 1000) or all coins (including coins that do not have market cap). Default: 1000

Available options:
300,
500,
1000,
all

Response

200 - application/json

Top gainers and losers

top_gainers
object[]
required
top_losers
object[]
required